# Uses of Interface
org.springframework.jdbc.core.JdbcOperations

Packages that use JdbcOperations
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.
org.springframework.jdbc.core.namedparam
JdbcTemplate variant with named parameter support.
org.springframework.jdbc.core.simple
Simplification layer for common JDBC interactions.

## Uses of JdbcOperations in org.springframework.jdbc.core

Classes in org.springframework.jdbc.core that implement JdbcOperations
Modifier and Type
Class
Description
`class`
`JdbcTemplate`
This is the central delegate in the JDBC core package. It can be used directly for many data access purposes, supporting any kind of JDBC operation.

## Uses of JdbcOperations in org.springframework.jdbc.core.namedparam

Methods in org.springframework.jdbc.core.namedparam that return JdbcOperations
Modifier and Type
Method
Description
`JdbcOperations`
NamedParameterJdbcOperations.`getJdbcOperations()`
Expose the classic Spring JdbcTemplate to allow invocation of classic JDBC operations.
`JdbcOperations`
NamedParameterJdbcTemplate.`getJdbcOperations()`
Expose the classic Spring JdbcTemplate operations to allow invocation of less commonly used methods.
Constructors in org.springframework.jdbc.core.namedparam with parameters of type JdbcOperations
Modifier
Constructor
Description
``
`NamedParameterJdbcTemplate(JdbcOperations classicJdbcTemplate)`
Create a new NamedParameterJdbcTemplate for the given classic Spring `JdbcTemplate`.

## Uses of JdbcOperations in org.springframework.jdbc.core.simple

Methods in org.springframework.jdbc.core.simple with parameters of type JdbcOperations
Modifier and Type
Method
Description
`static JdbcClient`
JdbcClient.`create(JdbcOperations jdbcTemplate)`
Create a `JdbcClient` for the given `JdbcOperations` delegate, typically an `JdbcTemplate`.